diff -urpNX build-tools/dontdiff linus-2.5/Makefile parisc-2.5/Makefile
--- linus-2.5/Makefile	Mon Oct 21 05:14:36 2002
+++ parisc-2.5/Makefile	Mon Oct 21 05:33:30 2002
@@ -38,6 +38,8 @@ ARCH := $(SUBARCH)
 
 KERNELPATH=kernel-$(shell echo $(KERNELRELEASE) | sed -e "s/-//g")
 
+UTS_MACHINE := $(ARCH)
+
 CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
 	  else if [ -x /bin/bash ]; then echo /bin/bash; \
 	  else echo sh; fi ; fi)
@@ -161,7 +165,8 @@ AFLAGS		:= -D__ASSEMBLY__ $(CPPFLAGS)
 
 export	VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION KERNELRELEASE ARCH \
 	CONFIG_SHELL TOPDIR HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
-	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE MAKEFILES GENKSYMS PERL
+	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE MAKEFILES GENKSYMS PERL \
+	UTS_MACHINE
 
 export CPPFLAGS NOSTDINC_FLAGS OBJCOPYFLAGS LDFLAGS
 export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE 
diff -urpNX build-tools/dontdiff linus-2.5/init/Makefile parisc-2.5/init/Makefile
--- linus-2.5/init/Makefile	Mon Oct 21 05:20:23 2002
+++ parisc-2.5/init/Makefile	Mon Oct 21 05:34:50 2002
@@ -20,4 +20,4 @@ $(obj)/version.o: $(obj)/../include/linu
 
 $(obj)/../include/linux/compile.h: FORCE
 	@echo -n '  Generating $(echo_target)'
-	@sh $(srctree)/scripts/mkcompile_h $@ "$(ARCH)" "$(CONFIG_SMP)" "$(CC) $(CFLAGS)"
+	@sh $(srctree)/scripts/mkcompile_h $@ "$(UTS_MACHINE)" "$(CONFIG_SMP)" "$(CC) $(CFLAGS)"
